### Enumeration

# Adw TabViewShortcuts

since: 1.2

#### Declaration

    flags Adw.TabViewShortcuts

#### Description [src]

Describes available shortcuts in an `AdwTabView`.

Shortcuts can be set with `AdwTabView:shortcuts`, or added/removed individually with `adw_tab_view_add_shortcuts()` and `adw_tab_view_remove_shortcuts()`.

New values may be added to this enumeration over time.

Available since: 1.2

#### Members

`ADW_TAB_VIEW_SHORTCUT_NONE`

  No shortcuts.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.2
`ADW_TAB_VIEW_SHORTCUT_CONTROL_TAB`

  `Ctrl`+`Tab` - switch to the next page.

  - Value: `1`
  - Nickname: `control-tab`
  - Available since: 1.2
`ADW_TAB_VIEW_SHORTCUT_CONTROL_SHIFT_TAB`

  `Shift`+`Ctrl`+`Tab` - switch to the previous page.

  - Value: `2`
  - Nickname: `control-shift-tab`
  - Available since: 1.2
`ADW_TAB_VIEW_SHORTCUT_CONTROL_PAGE_UP`

  `Ctrl`+`Page Up` - switch to the previous page.

  - Value: `4`
  - Nickname: `control-page-up`
  - Available since: 1.2
`ADW_TAB_VIEW_SHORTCUT_CONTROL_PAGE_DOWN`

  `Ctrl`+`Page Down` - switch to the next page.

  - Value: `8`
  - Nickname: `control-page-down`
  - Available since: 1.2
`ADW_TAB_VIEW_SHORTCUT_CONTROL_HOME`

  `Ctrl`+`Home` - switch to the first page.

  - Value: `16`
  - Nickname: `control-home`
  - Available since: 1.2
`ADW_TAB_VIEW_SHORTCUT_CONTROL_END`

  `Ctrl`+`End` - switch to the last page.

  - Value: `32`
  - Nickname: `control-end`
  - Available since: 1.2
`ADW_TAB_VIEW_SHORTCUT_CONTROL_SHIFT_PAGE_UP`

  `Ctrl`+`Shift`+`Page Up` - move the selected page backward.

  - Value: `64`
  - Nickname: `control-shift-page-up`
  - Available since: 1.2
`ADW_TAB_VIEW_SHORTCUT_CONTROL_SHIFT_PAGE_DOWN`

  `Ctrl`+`Shift`+`Page Down` - move the selected page forward.

  - Value: `128`
  - Nickname: `control-shift-page-down`
  - Available since: 1.2
`ADW_TAB_VIEW_SHORTCUT_CONTROL_SHIFT_HOME`

  `Ctrl`+`Shift`+`Home` - move the selected page at the start.

  - Value: `256`
  - Nickname: `control-shift-home`
  - Available since: 1.2
`ADW_TAB_VIEW_SHORTCUT_CONTROL_SHIFT_END`

  `Ctrl`+`Shift`+`End` - move the current page at the end.

  - Value: `512`
  - Nickname: `control-shift-end`
  - Available since: 1.2
`ADW_TAB_VIEW_SHORTCUT_ALT_DIGITS`

  `Alt`+`1`⋯`9` - switch to pages 1-9

  - Value: `1024`
  - Nickname: `alt-digits`
  - Available since: 1.2
`ADW_TAB_VIEW_SHORTCUT_ALT_ZERO`

  `Alt`+`0` - switch to page 10

  - Value: `2048`
  - Nickname: `alt-zero`
  - Available since: 1.2
`ADW_TAB_VIEW_SHORTCUT_ALL_SHORTCUTS`

  All of the shortcuts.

  - Value: `4095`
  - Nickname: `all-shortcuts`
  - Available since: 1.2